<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>List of orders</title>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

  <!-- Import Datatable sau jquery -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>

<body>
  <div class="container">
    <h2 style="text-align: center;">DANH SÁCH KHÁCH HÀNG</h2>
    
    <table class="table table-bordered table-striped table-hover" id="order-table">
      <thead>
        <tr>
          <th>ID</th>
          <th>Họ tên</th>
          <th>Email</th>
          <th>Số điện thoại</th>
          <th>Địa chỉ</th>
          <th>Ngày tạo</th>
          <th>Ngày cập nhật</th>
          
        </tr>
    </table>
  </div>
 
</body>
<script>
  "use strict";
 
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  
    const gBASE_URL = "http://localhost:8084/customers";

    var gClientArr = [];
    const gCOLUMN_ID = 0;
    const gCOLUMN_NAME = 1;
    const gCOLUMN_EMAIL = 2;
    const gCOLUMN_PHONE = 3;
    const gCOLUMN_ADDRESS = 4;
    const gCOLUMN_CREATE_DATE = 5;
    const gCOLUMN_MODIFY_DATE = 6;
    
    const gCLIENT_COL = ["id", "hoTen", "email", "soDienThoai" , "diaChi", "ngayTao", "ngayCapNhat"]

    

    // set and mapping data table
    var gClientTable = $("#order-table").DataTable({
      "columns": [
        { "data": gCLIENT_COL[gCOLUMN_ID] },
        { "data": gCLIENT_COL[gCOLUMN_NAME] },
        { "data": gCLIENT_COL[gCOLUMN_EMAIL] },
        { "data": gCLIENT_COL[gCOLUMN_PHONE] },
        { "data": gCLIENT_COL[gCOLUMN_ADDRESS] },
        { "data": gCLIENT_COL[gCOLUMN_CREATE_DATE] },
        { "data": gCLIENT_COL[gCOLUMN_MODIFY_DATE] },
       
        
        
      ],
      
    });

    /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
   
    $(document).ready(function () {

    onPageLoading();
        
  })

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    
    // function for loading page
    function onPageLoading() {
      
      $.ajax({
        url: gBASE_URL,
        type: "GET",
        dataType: 'json',
        success: function (responseObject) {
          //debugger;
          gClientArr = responseObject;
          loadDataToTable(responseObject);
        },
        error: function (error) {
          console.assert(error.responseText);
        }
      });
    }
    
        
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình */
           
    // load data to table
    function loadDataToTable(paramResponseObject) {
      
      gClientTable.clear();
      gClientTable.rows.add(paramResponseObject);
      gClientTable.draw();
    }
      
  
</script>

</html>